.custom-container {
    position: relative;
}

.logo {
    border-radius: 50%;
    border: 3px solid var(--primary-color);
    width: 50px;
    height: 50px;
}

.custom-logo {
    position: absolute;
    height: 60px;/* Ajusta este valor al tamaño que desees */
    width: auto;/* Esto mantendrá las proporciones del logo */
    top: 50%;/* Esto centrará verticalmente el logo */
    left: 50%;/* Esto centrará horizontalmente el logo */
    transform: translate(-50%, -50%);/* Esto centrará vertical y horizontalmente el logo */
}

.custom-nav {
    border-top: 12px solid var(--primary-color);
    border-bottom: 12px solid var(--primary-color);
    background-color: var(--secondary-color) !important;
    color: var(--secondary-contrast) !important;
}

/* Estilos para el submenú */
.custom-nav .dropdown-menu {
    background-color: var(--primary-color);/* Color de fondo del submenú */
}

.custom-nav .dropdown-item {
    color: var(--primary-contrast);/* Color del texto de los elementos del submenú */
}

/* Estilos para el hover de los elementos del submenú */
.custom-nav .dropdown-item:hover {
    background-color: var(--secondary-color);/* Color de fondo al hacer hover */
    color: var(--secondary-contrast);/* Color del texto al hacer hover */
}


/* Estilos para los elementos del menú principal */
.custom-nav .nav-link {
    font-size: 16px;/* Tamaño de letra del menú principal */
    text-transform: uppercase;/* Convierte el texto a mayúsculas */
    font-weight: 500;/* Hace el texto más grueso */
    color: var(--secondary-contrast);/* Color del texto al hacer hover */
}

.custom-nav .nav-link.show {
    color: var(--secondary-contrast);/* Color del texto al hacer hover */
}

/* Estilos para los elementos del submenú */
.custom-nav .dropdown-item {
    font-size: 14px;/* Tamaño de letra del submenú */
    text-transform: uppercase;/* Convierte el texto a mayúsculas */
    font-weight: 400;/* Hace el texto más grueso */
}

.navbar-toggler{
    /*border: 2px solid var(--secondary-contrast);*/
    border:0px;
    background-color: var(--primary-color)!important;
    color: var(--primary-contrast)!important;
    padding: .5rem .4rem;
    border-radius: .2rem;
    min-width: 5.6rem;
    min-height: 2.4rem;
    margin-top: 1rem;
    margin-bottom: 1rem;
    font-size: .79rem;
    text-transform: uppercase;
}

.navbar-collapse {
    margin-top: 20px;
  }

.extra-toggler {
    display: none;     
    background-color: transparent;
    cursor: pointer;
}

.extra-toggler:hover {
    background-color: rgba(0, 0, 0, .075);
}

@media (max-width: 992px) {
    .navbar-brand.logo-container {
        flex-grow: 1;
        justify-content: center;
        text-align: center;
    }

    .extra-toggler {
        display: block;
    }
}

@media (min-width: 992px) {
    #navbarNav {
        justify-content: flex-end;
        padding-right: 5rem;
    }

    .custom-nav .nav-link {
        font-weight: 700;
    }

    .navbar-collapse {
        margin-top: 0;
    }

    .custom-nav{
        height: 7rem;
    }

    .custom-logo {
        margin-left: 5rem;/* O el valor que desees para separar el logo del borde */
        height: 6rem;
    }
}

/* Estilos para dispositivos móviles */
@media (max-width: 768px) {
    .navbar-brand.logo-container {
        position: absolute;
        top: -20px;/* Ajusta este valor para cambiar la posición vertical del logotipo */
        left: 50%;
        transform: translateX(-50%);/* Centra el logotipo horizontalmente */
        z-index: 10;/* Asegura que el logotipo esté por encima del nav */
    }

    .logo.custom-logo {
        width: 120px;/* Ajusta este valor para cambiar el tamaño del logotipo */
        height: 120px;/* Ajusta este valor para cambiar el tamaño del logotipo */
        transform: translate(-50%, 0%);/* Centra el logotipo horizontalmente */
    }

}